import 'package:flutter/material.dart';
import '../../../../core/constants/translation_keys.dart';

class Languages {
  String lable = "";
  Locale locale;
  String code;

  Languages({required this.lable, required this.locale, required this.code});

  static List<Languages> supportedLanguages = [
    Languages(lable: TranslationKeys.makeTranslation(TranslationKeys.textLanguageEnglish), locale: const Locale('en', 'US'), code: "en"),
    Languages(lable: TranslationKeys.makeTranslation(TranslationKeys.textLanguageArabic), locale: const Locale('ar', 'SA'), code: "ar"),
    Languages(lable: TranslationKeys.makeTranslation(TranslationKeys.textLanguageUrdu), locale: const Locale('ur', 'PK'), code: "ur"),
  ];
}
